<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="amlakDataSet" targetNamespace="http://tempuri.org/amlakDataSet.xsd" xmlns:mstns="http://tempuri.org/amlakDataSet.xsd" xmlns="http://tempuri.org/amlakDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="amlakConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="amlakConnectionString (Settings)" PropertyReference="ApplicationSettings.moshaveramlak.Properties.Settings.GlobalReference.Default.amlakConnectionString" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="apartemanTableAdapter" GeneratorDataComponentClassName="apartemanTableAdapter" Name="aparteman" UserDataComponentName="apartemanTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="amlakConnectionString (Settings)" DbObjectName="aparteman" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `aparteman` WHERE ((`ida` = ?) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `sahebaparteman` IS NULL) OR (`sahebaparteman` = ?)) AND ((? = 1 AND `tabagheh` IS NULL) OR (`tabagheh` = ?)) AND ((? = 1 AND `mablaghe` IS NULL) OR (`mablaghe` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tell` IS NULL) OR (`tell` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_ida" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="ida" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebaparteman" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebaparteman" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebaparteman" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebaparteman" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tabagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tabagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablaghe" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablaghe" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablaghe" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablaghe" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tell" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `aparteman` (`ida`, `metr`, `sahebaparteman`, `tabagheh`, `mablaghe`, `address`, `tell`, `tozihat`) VALUES (?, ?, ?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="ida" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="ida" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebaparteman" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebaparteman" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tabagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablaghe" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablaghe" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT ida, metr, sahebaparteman, tabagheh, mablaghe, address, tell, tozihat FROM aparteman</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `aparteman` SET `ida` = ?, `metr` = ?, `sahebaparteman` = ?, `tabagheh` = ?, `mablaghe` = ?, `address` = ?, `tell` = ?, `tozihat` = ? WHERE ((`ida` = ?) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `sahebaparteman` IS NULL) OR (`sahebaparteman` = ?)) AND ((? = 1 AND `tabagheh` IS NULL) OR (`tabagheh` = ?)) AND ((? = 1 AND `mablaghe` IS NULL) OR (`mablaghe` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tell` IS NULL) OR (`tell` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="ida" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="ida" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebaparteman" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebaparteman" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tabagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablaghe" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablaghe" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_ida" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="ida" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebaparteman" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebaparteman" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebaparteman" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebaparteman" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tabagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tabagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablaghe" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablaghe" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablaghe" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablaghe" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tell" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ida" DataSetColumn="ida" />
              <Mapping SourceColumn="metr" DataSetColumn="metr" />
              <Mapping SourceColumn="sahebaparteman" DataSetColumn="sahebaparteman" />
              <Mapping SourceColumn="tabagheh" DataSetColumn="tabagheh" />
              <Mapping SourceColumn="mablaghe" DataSetColumn="mablaghe" />
              <Mapping SourceColumn="address" DataSetColumn="address" />
              <Mapping SourceColumn="tell" DataSetColumn="tell" />
              <Mapping SourceColumn="tozihat" DataSetColumn="tozihat" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="khanehTableAdapter" GeneratorDataComponentClassName="khanehTableAdapter" Name="khaneh" UserDataComponentName="khanehTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="amlakConnectionString (Settings)" DbObjectName="khaneh" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `khaneh` WHERE ((`idk` = ?) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `sahebkhaneh` IS NULL) OR (`sahebkhaneh` = ?)) AND ((? = 1 AND `tabagheh` IS NULL) OR (`tabagheh` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tell` IS NULL) OR (`tell` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)) AND ((? = 1 AND `mablagheh` IS NULL) OR (`mablagheh` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_idk" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idk" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebkhaneh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebkhaneh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebkhaneh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebkhaneh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tabagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tabagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tell" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `khaneh` (`idk`, `metr`, `sahebkhaneh`, `tabagheh`, `address`, `tell`, `tozihat`, `mablagheh`) VALUES (?, ?, ?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="idk" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idk" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebkhaneh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebkhaneh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tabagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT idk, metr, sahebkhaneh, tabagheh, address, tell, tozihat, mablagheh FROM khaneh</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `khaneh` SET `idk` = ?, `metr` = ?, `sahebkhaneh` = ?, `tabagheh` = ?, `address` = ?, `tell` = ?, `tozihat` = ?, `mablagheh` = ? WHERE ((`idk` = ?) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `sahebkhaneh` IS NULL) OR (`sahebkhaneh` = ?)) AND ((? = 1 AND `tabagheh` IS NULL) OR (`tabagheh` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tell` IS NULL) OR (`tell` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)) AND ((? = 1 AND `mablagheh` IS NULL) OR (`mablagheh` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="idk" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idk" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebkhaneh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebkhaneh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tabagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_idk" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idk" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebkhaneh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebkhaneh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebkhaneh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebkhaneh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tabagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tabagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tabagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tell" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idk" DataSetColumn="idk" />
              <Mapping SourceColumn="metr" DataSetColumn="metr" />
              <Mapping SourceColumn="sahebkhaneh" DataSetColumn="sahebkhaneh" />
              <Mapping SourceColumn="tabagheh" DataSetColumn="tabagheh" />
              <Mapping SourceColumn="address" DataSetColumn="address" />
              <Mapping SourceColumn="tell" DataSetColumn="tell" />
              <Mapping SourceColumn="tozihat" DataSetColumn="tozihat" />
              <Mapping SourceColumn="mablagheh" DataSetColumn="mablagheh" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="listsaleTableAdapter" GeneratorDataComponentClassName="listsaleTableAdapter" Name="listsale" UserDataComponentName="listsaleTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="amlakConnectionString (Settings)" DbObjectName="listsale" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `listsale` WHERE ((`code` = ?) AND ((? = 1 AND `nohe` IS NULL) OR (`nohe` = ?)) AND ((? = 1 AND `sahebmelk` IS NULL) OR (`sahebmelk` = ?)) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `mablagheh` IS NULL) OR (`mablagheh` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tell` IS NULL) OR (`tell` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_code" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="code" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_nohe" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="nohe" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_nohe" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nohe" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebmelk" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebmelk" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebmelk" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebmelk" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tell" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `listsale` (`code`, `nohe`, `sahebmelk`, `metr`, `mablagheh`, `tozihat`, `address`, `tell`) VALUES (?, ?, ?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="code" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="code" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="nohe" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nohe" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebmelk" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebmelk" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT code, nohe, sahebmelk, metr, mablagheh, tozihat, address, tell FROM listsale</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `listsale` SET `code` = ?, `nohe` = ?, `sahebmelk` = ?, `metr` = ?, `mablagheh` = ?, `tozihat` = ?, `address` = ?, `tell` = ? WHERE ((`code` = ?) AND ((? = 1 AND `nohe` IS NULL) OR (`nohe` = ?)) AND ((? = 1 AND `sahebmelk` IS NULL) OR (`sahebmelk` = ?)) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `mablagheh` IS NULL) OR (`mablagheh` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tell` IS NULL) OR (`tell` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="code" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="code" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="nohe" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nohe" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebmelk" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebmelk" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_code" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="code" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_nohe" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="nohe" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_nohe" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nohe" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebmelk" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebmelk" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebmelk" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebmelk" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tell" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="code" DataSetColumn="code" />
              <Mapping SourceColumn="nohe" DataSetColumn="nohe" />
              <Mapping SourceColumn="sahebmelk" DataSetColumn="sahebmelk" />
              <Mapping SourceColumn="metr" DataSetColumn="metr" />
              <Mapping SourceColumn="mablagheh" DataSetColumn="mablagheh" />
              <Mapping SourceColumn="tozihat" DataSetColumn="tozihat" />
              <Mapping SourceColumn="address" DataSetColumn="address" />
              <Mapping SourceColumn="tell" DataSetColumn="tell" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="maghazehTableAdapter" GeneratorDataComponentClassName="maghazehTableAdapter" Name="maghazeh" UserDataComponentName="maghazehTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="amlakConnectionString (Settings)" DbObjectName="maghazeh" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `maghazeh` WHERE ((`idm` = ?) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `sahebmaghazeh` IS NULL) OR (`sahebmaghazeh` = ?)) AND ((? = 1 AND `mablagheh` IS NULL) OR (`mablagheh` = ?)) AND ((? = 1 AND `tell` IS NULL) OR (`tell` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)) AND ((? = 1 AND `amkanat` IS NULL) OR (`amkanat` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_idm" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idm" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebmaghazeh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebmaghazeh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebmaghazeh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebmaghazeh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tell" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_amkanat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="amkanat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_amkanat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="amkanat" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `maghazeh` (`idm`, `metr`, `sahebmaghazeh`, `mablagheh`, `tell`, `address`, `tozihat`, `amkanat`) VALUES (?, ?, ?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="idm" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idm" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebmaghazeh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebmaghazeh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="amkanat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="amkanat" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT idm, metr, sahebmaghazeh, mablagheh, tell, address, tozihat, amkanat FROM maghazeh</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `maghazeh` SET `idm` = ?, `metr` = ?, `sahebmaghazeh` = ?, `mablagheh` = ?, `tell` = ?, `address` = ?, `tozihat` = ?, `amkanat` = ? WHERE ((`idm` = ?) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `sahebmaghazeh` IS NULL) OR (`sahebmaghazeh` = ?)) AND ((? = 1 AND `mablagheh` IS NULL) OR (`mablagheh` = ?)) AND ((? = 1 AND `tell` IS NULL) OR (`tell` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)) AND ((? = 1 AND `amkanat` IS NULL) OR (`amkanat` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="idm" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idm" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebmaghazeh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebmaghazeh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="amkanat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="amkanat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_idm" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idm" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebmaghazeh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebmaghazeh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebmaghazeh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebmaghazeh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablagheh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablagheh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagheh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tell" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tell" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tell" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_amkanat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="amkanat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_amkanat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="amkanat" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idm" DataSetColumn="idm" />
              <Mapping SourceColumn="metr" DataSetColumn="metr" />
              <Mapping SourceColumn="sahebmaghazeh" DataSetColumn="sahebmaghazeh" />
              <Mapping SourceColumn="mablagheh" DataSetColumn="mablagheh" />
              <Mapping SourceColumn="tell" DataSetColumn="tell" />
              <Mapping SourceColumn="address" DataSetColumn="address" />
              <Mapping SourceColumn="tozihat" DataSetColumn="tozihat" />
              <Mapping SourceColumn="amkanat" DataSetColumn="amkanat" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="usrsTableAdapter" GeneratorDataComponentClassName="usrsTableAdapter" Name="usrs" UserDataComponentName="usrsTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="amlakConnectionString (Settings)" DbObjectName="usrs" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `usrs` WHERE (((? = 1 AND `usr` IS NULL) OR (`usr` = ?)) AND (`pass` = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_usr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="usr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_usr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="usr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_pass" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `usrs` (`usr`, `pass`) VALUES (?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="usr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="usr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="pass" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT usr, pass FROM usrs</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `usrs` SET `usr` = ?, `pass` = ? WHERE (((? = 1 AND `usr` IS NULL) OR (`usr` = ?)) AND (`pass` = ?))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="usr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="usr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="pass" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_usr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="usr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_usr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="usr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_pass" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="usr" DataSetColumn="usr" />
              <Mapping SourceColumn="pass" DataSetColumn="pass" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="zaminTableAdapter" GeneratorDataComponentClassName="zaminTableAdapter" Name="zamin" UserDataComponentName="zaminTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="amlakConnectionString (Settings)" DbObjectName="zamin" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `zamin` WHERE ((`idz` = ?) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `sahebzamin` IS NULL) OR (`sahebzamin` = ?)) AND ((? = 1 AND `mablagh` IS NULL) OR (`mablagh` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_idz" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idz" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebzamin" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebzamin" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebzamin" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebzamin" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablagh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablagh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablagh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `zamin` (`idz`, `metr`, `sahebzamin`, `mablagh`, `address`, `tozihat`) VALUES (?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="idz" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idz" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebzamin" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebzamin" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablagh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT idz, metr, sahebzamin, mablagh, address, tozihat FROM zamin</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `zamin` SET `idz` = ?, `metr` = ?, `sahebzamin` = ?, `mablagh` = ?, `address` = ?, `tozihat` = ? WHERE ((`idz` = ?) AND ((? = 1 AND `metr` IS NULL) OR (`metr` = ?)) AND ((? = 1 AND `sahebzamin` IS NULL) OR (`sahebzamin` = ?)) AND ((? = 1 AND `mablagh` IS NULL) OR (`mablagh` = ?)) AND ((? = 1 AND `address` IS NULL) OR (`address` = ?)) AND ((? = 1 AND `tozihat` IS NULL) OR (`tozihat` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="idz" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idz" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="sahebzamin" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebzamin" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="mablagh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagh" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_idz" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="idz" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_metr" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_metr" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="metr" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_sahebzamin" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="sahebzamin" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_sahebzamin" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="sahebzamin" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_mablagh" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="mablagh" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_mablagh" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="mablagh" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_address" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_address" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="address" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_tozihat" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_tozihat" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="tozihat" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idz" DataSetColumn="idz" />
              <Mapping SourceColumn="metr" DataSetColumn="metr" />
              <Mapping SourceColumn="sahebzamin" DataSetColumn="sahebzamin" />
              <Mapping SourceColumn="mablagh" DataSetColumn="mablagh" />
              <Mapping SourceColumn="address" DataSetColumn="address" />
              <Mapping SourceColumn="tozihat" DataSetColumn="tozihat" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="amlakDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="amlakDataSet" msprop:Generator_UserDSName="amlakDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="aparteman" msprop:Generator_TableClassName="apartemanDataTable" msprop:Generator_TableVarName="tableaparteman" msprop:Generator_TablePropName="aparteman" msprop:Generator_RowDeletingName="apartemanRowDeleting" msprop:Generator_UserTableName="aparteman" msprop:Generator_RowChangingName="apartemanRowChanging" msprop:Generator_RowEvHandlerName="apartemanRowChangeEventHandler" msprop:Generator_RowDeletedName="apartemanRowDeleted" msprop:Generator_RowEvArgName="apartemanRowChangeEvent" msprop:Generator_RowChangedName="apartemanRowChanged" msprop:Generator_RowClassName="apartemanRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ida" msprop:Generator_ColumnVarNameInTable="columnida" msprop:Generator_ColumnPropNameInRow="ida" msprop:Generator_ColumnPropNameInTable="idaColumn" msprop:Generator_UserColumnName="ida">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="metr" msprop:Generator_ColumnVarNameInTable="columnmetr" msprop:Generator_ColumnPropNameInRow="metr" msprop:Generator_ColumnPropNameInTable="metrColumn" msprop:Generator_UserColumnName="metr" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sahebaparteman" msprop:Generator_ColumnVarNameInTable="columnsahebaparteman" msprop:Generator_ColumnPropNameInRow="sahebaparteman" msprop:Generator_ColumnPropNameInTable="sahebapartemanColumn" msprop:Generator_UserColumnName="sahebaparteman" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tabagheh" msprop:Generator_ColumnVarNameInTable="columntabagheh" msprop:Generator_ColumnPropNameInRow="tabagheh" msprop:Generator_ColumnPropNameInTable="tabaghehColumn" msprop:Generator_UserColumnName="tabagheh" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="mablaghe" msprop:Generator_ColumnVarNameInTable="columnmablaghe" msprop:Generator_ColumnPropNameInRow="mablaghe" msprop:Generator_ColumnPropNameInTable="mablagheColumn" msprop:Generator_UserColumnName="mablaghe" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="address" msprop:Generator_ColumnVarNameInTable="columnaddress" msprop:Generator_ColumnPropNameInRow="address" msprop:Generator_ColumnPropNameInTable="addressColumn" msprop:Generator_UserColumnName="address" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tell" msprop:Generator_ColumnVarNameInTable="columntell" msprop:Generator_ColumnPropNameInRow="tell" msprop:Generator_ColumnPropNameInTable="tellColumn" msprop:Generator_UserColumnName="tell" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tozihat" msprop:Generator_ColumnVarNameInTable="columntozihat" msprop:Generator_ColumnPropNameInRow="tozihat" msprop:Generator_ColumnPropNameInTable="tozihatColumn" msprop:Generator_UserColumnName="tozihat" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="khaneh" msprop:Generator_TableClassName="khanehDataTable" msprop:Generator_TableVarName="tablekhaneh" msprop:Generator_TablePropName="khaneh" msprop:Generator_RowDeletingName="khanehRowDeleting" msprop:Generator_UserTableName="khaneh" msprop:Generator_RowChangingName="khanehRowChanging" msprop:Generator_RowEvHandlerName="khanehRowChangeEventHandler" msprop:Generator_RowDeletedName="khanehRowDeleted" msprop:Generator_RowEvArgName="khanehRowChangeEvent" msprop:Generator_RowChangedName="khanehRowChanged" msprop:Generator_RowClassName="khanehRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idk" msprop:Generator_ColumnVarNameInTable="columnidk" msprop:Generator_ColumnPropNameInRow="idk" msprop:Generator_ColumnPropNameInTable="idkColumn" msprop:Generator_UserColumnName="idk">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="metr" msprop:Generator_ColumnVarNameInTable="columnmetr" msprop:Generator_ColumnPropNameInRow="metr" msprop:Generator_ColumnPropNameInTable="metrColumn" msprop:Generator_UserColumnName="metr" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sahebkhaneh" msprop:Generator_ColumnVarNameInTable="columnsahebkhaneh" msprop:Generator_ColumnPropNameInRow="sahebkhaneh" msprop:Generator_ColumnPropNameInTable="sahebkhanehColumn" msprop:Generator_UserColumnName="sahebkhaneh" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tabagheh" msprop:Generator_ColumnVarNameInTable="columntabagheh" msprop:Generator_ColumnPropNameInRow="tabagheh" msprop:Generator_ColumnPropNameInTable="tabaghehColumn" msprop:Generator_UserColumnName="tabagheh" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="address" msprop:Generator_ColumnVarNameInTable="columnaddress" msprop:Generator_ColumnPropNameInRow="address" msprop:Generator_ColumnPropNameInTable="addressColumn" msprop:Generator_UserColumnName="address" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tell" msprop:Generator_ColumnVarNameInTable="columntell" msprop:Generator_ColumnPropNameInRow="tell" msprop:Generator_ColumnPropNameInTable="tellColumn" msprop:Generator_UserColumnName="tell" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tozihat" msprop:Generator_ColumnVarNameInTable="columntozihat" msprop:Generator_ColumnPropNameInRow="tozihat" msprop:Generator_ColumnPropNameInTable="tozihatColumn" msprop:Generator_UserColumnName="tozihat" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="mablagheh" msprop:Generator_ColumnVarNameInTable="columnmablagheh" msprop:Generator_ColumnPropNameInRow="mablagheh" msprop:Generator_ColumnPropNameInTable="mablaghehColumn" msprop:Generator_UserColumnName="mablagheh" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="listsale" msprop:Generator_TableClassName="listsaleDataTable" msprop:Generator_TableVarName="tablelistsale" msprop:Generator_TablePropName="listsale" msprop:Generator_RowDeletingName="listsaleRowDeleting" msprop:Generator_UserTableName="listsale" msprop:Generator_RowChangingName="listsaleRowChanging" msprop:Generator_RowEvHandlerName="listsaleRowChangeEventHandler" msprop:Generator_RowDeletedName="listsaleRowDeleted" msprop:Generator_RowEvArgName="listsaleRowChangeEvent" msprop:Generator_RowChangedName="listsaleRowChanged" msprop:Generator_RowClassName="listsaleRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="code" msprop:Generator_ColumnVarNameInTable="columncode" msprop:Generator_ColumnPropNameInRow="code" msprop:Generator_ColumnPropNameInTable="codeColumn" msprop:Generator_UserColumnName="code">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="nohe" msprop:Generator_ColumnVarNameInTable="columnnohe" msprop:Generator_ColumnPropNameInRow="nohe" msprop:Generator_ColumnPropNameInTable="noheColumn" msprop:Generator_UserColumnName="nohe" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sahebmelk" msprop:Generator_ColumnVarNameInTable="columnsahebmelk" msprop:Generator_ColumnPropNameInRow="sahebmelk" msprop:Generator_ColumnPropNameInTable="sahebmelkColumn" msprop:Generator_UserColumnName="sahebmelk" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="metr" msprop:Generator_ColumnVarNameInTable="columnmetr" msprop:Generator_ColumnPropNameInRow="metr" msprop:Generator_ColumnPropNameInTable="metrColumn" msprop:Generator_UserColumnName="metr" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="mablagheh" msprop:Generator_ColumnVarNameInTable="columnmablagheh" msprop:Generator_ColumnPropNameInRow="mablagheh" msprop:Generator_ColumnPropNameInTable="mablaghehColumn" msprop:Generator_UserColumnName="mablagheh" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tozihat" msprop:Generator_ColumnVarNameInTable="columntozihat" msprop:Generator_ColumnPropNameInRow="tozihat" msprop:Generator_ColumnPropNameInTable="tozihatColumn" msprop:Generator_UserColumnName="tozihat" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="address" msprop:Generator_ColumnVarNameInTable="columnaddress" msprop:Generator_ColumnPropNameInRow="address" msprop:Generator_ColumnPropNameInTable="addressColumn" msprop:Generator_UserColumnName="address" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tell" msprop:Generator_ColumnVarNameInTable="columntell" msprop:Generator_ColumnPropNameInRow="tell" msprop:Generator_ColumnPropNameInTable="tellColumn" msprop:Generator_UserColumnName="tell" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="maghazeh" msprop:Generator_TableClassName="maghazehDataTable" msprop:Generator_TableVarName="tablemaghazeh" msprop:Generator_TablePropName="maghazeh" msprop:Generator_RowDeletingName="maghazehRowDeleting" msprop:Generator_UserTableName="maghazeh" msprop:Generator_RowChangingName="maghazehRowChanging" msprop:Generator_RowEvHandlerName="maghazehRowChangeEventHandler" msprop:Generator_RowDeletedName="maghazehRowDeleted" msprop:Generator_RowEvArgName="maghazehRowChangeEvent" msprop:Generator_RowChangedName="maghazehRowChanged" msprop:Generator_RowClassName="maghazehRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idm" msprop:Generator_ColumnVarNameInTable="columnidm" msprop:Generator_ColumnPropNameInRow="idm" msprop:Generator_ColumnPropNameInTable="idmColumn" msprop:Generator_UserColumnName="idm">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="metr" msprop:Generator_ColumnVarNameInTable="columnmetr" msprop:Generator_ColumnPropNameInRow="metr" msprop:Generator_ColumnPropNameInTable="metrColumn" msprop:Generator_UserColumnName="metr" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sahebmaghazeh" msprop:Generator_ColumnVarNameInTable="columnsahebmaghazeh" msprop:Generator_ColumnPropNameInRow="sahebmaghazeh" msprop:Generator_ColumnPropNameInTable="sahebmaghazehColumn" msprop:Generator_UserColumnName="sahebmaghazeh" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="mablagheh" msprop:Generator_ColumnVarNameInTable="columnmablagheh" msprop:Generator_ColumnPropNameInRow="mablagheh" msprop:Generator_ColumnPropNameInTable="mablaghehColumn" msprop:Generator_UserColumnName="mablagheh" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tell" msprop:Generator_ColumnVarNameInTable="columntell" msprop:Generator_ColumnPropNameInRow="tell" msprop:Generator_ColumnPropNameInTable="tellColumn" msprop:Generator_UserColumnName="tell" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="address" msprop:Generator_ColumnVarNameInTable="columnaddress" msprop:Generator_ColumnPropNameInRow="address" msprop:Generator_ColumnPropNameInTable="addressColumn" msprop:Generator_UserColumnName="address" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tozihat" msprop:Generator_ColumnVarNameInTable="columntozihat" msprop:Generator_ColumnPropNameInRow="tozihat" msprop:Generator_ColumnPropNameInTable="tozihatColumn" msprop:Generator_UserColumnName="tozihat" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="amkanat" msprop:Generator_ColumnVarNameInTable="columnamkanat" msprop:Generator_ColumnPropNameInRow="amkanat" msprop:Generator_ColumnPropNameInTable="amkanatColumn" msprop:Generator_UserColumnName="amkanat" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="usrs" msprop:Generator_TableClassName="usrsDataTable" msprop:Generator_TableVarName="tableusrs" msprop:Generator_TablePropName="usrs" msprop:Generator_RowDeletingName="usrsRowDeleting" msprop:Generator_UserTableName="usrs" msprop:Generator_RowChangingName="usrsRowChanging" msprop:Generator_RowEvHandlerName="usrsRowChangeEventHandler" msprop:Generator_RowDeletedName="usrsRowDeleted" msprop:Generator_RowEvArgName="usrsRowChangeEvent" msprop:Generator_RowChangedName="usrsRowChanged" msprop:Generator_RowClassName="usrsRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="usr" msprop:Generator_ColumnVarNameInTable="columnusr" msprop:Generator_ColumnPropNameInRow="usr" msprop:Generator_ColumnPropNameInTable="usrColumn" msprop:Generator_UserColumnName="usr" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pass" msprop:Generator_ColumnVarNameInTable="columnpass" msprop:Generator_ColumnPropNameInRow="pass" msprop:Generator_ColumnPropNameInTable="passColumn" msprop:Generator_UserColumnName="pass">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="zamin" msprop:Generator_TableClassName="zaminDataTable" msprop:Generator_TableVarName="tablezamin" msprop:Generator_TablePropName="zamin" msprop:Generator_RowDeletingName="zaminRowDeleting" msprop:Generator_UserTableName="zamin" msprop:Generator_RowChangingName="zaminRowChanging" msprop:Generator_RowEvHandlerName="zaminRowChangeEventHandler" msprop:Generator_RowDeletedName="zaminRowDeleted" msprop:Generator_RowEvArgName="zaminRowChangeEvent" msprop:Generator_RowChangedName="zaminRowChanged" msprop:Generator_RowClassName="zaminRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idz" msprop:Generator_ColumnVarNameInTable="columnidz" msprop:Generator_ColumnPropNameInRow="idz" msprop:Generator_ColumnPropNameInTable="idzColumn" msprop:Generator_UserColumnName="idz">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="metr" msprop:Generator_ColumnVarNameInTable="columnmetr" msprop:Generator_ColumnPropNameInRow="metr" msprop:Generator_ColumnPropNameInTable="metrColumn" msprop:Generator_UserColumnName="metr" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sahebzamin" msprop:Generator_ColumnVarNameInTable="columnsahebzamin" msprop:Generator_ColumnPropNameInRow="sahebzamin" msprop:Generator_ColumnPropNameInTable="sahebzaminColumn" msprop:Generator_UserColumnName="sahebzamin" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="mablagh" msprop:Generator_ColumnVarNameInTable="columnmablagh" msprop:Generator_ColumnPropNameInRow="mablagh" msprop:Generator_ColumnPropNameInTable="mablaghColumn" msprop:Generator_UserColumnName="mablagh" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="address" msprop:Generator_ColumnVarNameInTable="columnaddress" msprop:Generator_ColumnPropNameInRow="address" msprop:Generator_ColumnPropNameInTable="addressColumn" msprop:Generator_UserColumnName="address" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="tozihat" msprop:Generator_ColumnVarNameInTable="columntozihat" msprop:Generator_ColumnPropNameInRow="tozihat" msprop:Generator_ColumnPropNameInTable="tozihatColumn" msprop:Generator_UserColumnName="tozihat" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:aparteman" />
      <xs:field xpath="mstns:ida" />
    </xs:unique>
    <xs:unique name="khaneh_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:khaneh" />
      <xs:field xpath="mstns:idk" />
    </xs:unique>
    <xs:unique name="listsale_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:listsale" />
      <xs:field xpath="mstns:code" />
    </xs:unique>
    <xs:unique name="maghazeh_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:maghazeh" />
      <xs:field xpath="mstns:idm" />
    </xs:unique>
    <xs:unique name="usrs_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:usrs" />
      <xs:field xpath="mstns:pass" />
    </xs:unique>
    <xs:unique name="zamin_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:zamin" />
      <xs:field xpath="mstns:idz" />
    </xs:unique>
  </xs:element>
</xs:schema>